HINO Bugs - Bug #2285

[HR-TIME DATA] action - copy pada menu time data di master data absence quota nilai value
remaining quota nya berbeda dengan yang tersimpan di master data.

07/13/2023 03:37 PM - Muhammad Bintar

Status: Closed Start date: 07/13/2023
Priority: Normal Due date: 07/17/2023
Assignee: Muhammad Bintar % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

dear tim developer mohon support nya untuk perbaikan pada menu action - copy pada data master data absence quota dimana
pada saat melakukan acton tersebut,
angka nya yang terambil tidak sama dengan yang di data.
History

#1 - 07/20/2023 09:40 AM - Kezia Pawitra Yulianti

- Status changed from New to Assigned

Dear Bintar,

action copy itu khan tujuan nya sama spt action Add, yaitu membuat data baru namun untuk mempermudahnya yaitu dgn menggunakan action copy
supaya tidak perlu mengisi sati persatu field yg ada namun cukup merubabh field yg diinginkan seperti misalnya start date/end date.

Maka secara fungsi saat kita action copy maka aplikasi membaca seperti data baru dimana untuk absence type annual leave misalnya itu original
kuota 12 dan remaining kuota 12 sesuai parameter di annual leave tsb.

Sehingga yg akan muncul data kuotanya dianggap masih full yaitu 12.

Tolong dijelaskan saya konsep nya seperti itu karena menggunakan action copy.
Kalau action edit, bisa di cek maka remaining kuota akan sama spt yg tercantum saat masih tampil dalam bentuk grid

Demikian, terima kasih

#2 - 10/21/2024 10:47 AM - Muhammad Bintar

- Status changed from Assigned to Closed
